Debian Bug report logs - #604727
Add a dh_gsettings helper

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Laurent Bigonville <bigon@debian.org>

Date: Tue, 23 Nov 2010 21:21:02 UTC

Severity: wishlist

Tags: patch

Found in version debhelper/8.0.0

Fixed in version debhelper/8.1.3

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#604727; Package debhelper. (Tue, 23 Nov 2010 21:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. (Tue, 23 Nov 2010 21:21:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: submit@bugs.debian.org
Subject: Add a dh_gsettings helper
Date: Tue, 23 Nov 2010 22:17:38 +0100
Package: debhelper
Severity: wishlist
Version: 8.0.0

Hi,

It could be interesting to add a dh_gsettings helper that would set the
dependencies to something like "libgconf0 | gsettings-backend" if
gsettings schema files are found in /usr/share/glib-2.0/schemas/
A bit like dh_gconf is doing currently

That would help to have the correct dependencies on a gsettings backend.

Cheers

Laurent Bigonville




Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#604727; Package debhelper. (Wed, 24 Nov 2010 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Wed, 24 Nov 2010 21:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 604727@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 604727@bugs.debian.org
Subject: Re: Add a dh_gsettings helper
Date: Wed, 24 Nov 2010 22:32:03 +0100
[Message part 1 (text/plain, inline)]
tag 604727 + patch
thanks

Hi,

This patch add initial version of dh_gsettings.

Cheers

Laurent Bigonville
[0001-Add-dh_gsettings-program.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Laurent Bigonville <bigon@debian.org> to control@bugs.debian.org. (Wed, 24 Nov 2010 21:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604727; Package debhelper. (Tue, 25 Jan 2011 22:18:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. (Tue, 25 Jan 2011 22:18:38 GMT) Full text and rfc822 format available.

Message #17 received at 604727@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Laurent Bigonville <bigon@debian.org>, 604727@bugs.debian.org
Subject: Re: Bug#604727: Add a dh_gsettings helper
Date: Tue, 25 Jan 2011 18:03:39 -0400
[Message part 1 (text/plain, inline)]
Laurent Bigonville wrote:
> It could be interesting to add a dh_gsettings helper that would set the
> dependencies to something like "libgconf0 | gsettings-backend" if
> gsettings schema files are found in /usr/share/glib-2.0/schemas/
> A bit like dh_gconf is doing currently

Except dh_gconf actually installs files, and does a bit more than just
generating a dependency. 

I don't like the idea of having one debhelper command per automatic
dependency generation type. There should be a generic way, if we have
many dependencies that can be automatically generated like this.

Also, I have a ten packages rule: I don't even consider adding a
debhelper command unless at a very mimimum 10 packages could benefit
from it. Currently, 0 packages seem to contain
/usr/share/glib-2.0/schemas/

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#604727; Package debhelper. (Thu, 31 Mar 2011 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 31 Mar 2011 11:03:03 GMT) Full text and rfc822 format available.

Message #22 received at 604727@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 604727@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>
Subject: Improved dh_gsettings helper
Date: Thu, 31 Mar 2011 15:56:39 +0530
[Message part 1 (text/plain, inline)]
Hi,

here is a new version of dh_gsettings that brings some functionality
that was missing.

To answer Joey’s concerns: 
     1. It actually needs to install files too. Although the upstream
        mechanism is much saner than for GConf, per-package overrides
        still need to be set, e.g. for Debian branding. This new version
        adds the feature in a similar way to what dh_gconf does. 
     2. A large number of packages are expected to use GSettings, since
        it is the blessed replacement for GConf. At the moment, already
        20 packages in experimental use it, and the number is growing
        quickly while we package GNOME 3.0.

It would be nice if you could include this in debhelper, as well as in
the default command set for dh.

Thanks,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling
[dh_gsettings (application/x-perl, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#604727; Package debhelper. (Thu, 31 Mar 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. (Thu, 31 Mar 2011 11:33:04 GMT) Full text and rfc822 format available.

Message #27 received at 604727@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 604727@bugs.debian.org
Cc: Laurent Bigonville <bigon@debian.org>
Subject: Re: Improved dh_gsettings helper
Date: Thu, 31 Mar 2011 16:59:47 +0530
[Message part 1 (text/plain, inline)]
Le jeudi 31 mars 2011 à 15:56 +0530, Josselin Mouette a écrit : 
> here is a new version of dh_gsettings that brings some functionality
> that was missing.

After I sent it, it was suggested that the libdconf0 name might change
in the future, which might cause problems and need changes in debhelper.

In order to avoid that, we have split the GSettings backend in a
separate package. This should avoid you some uploads in the future.

Thanks for considering,
-- 
 .''`.
: :' :     “You would need to ask a lawyer if you don't know
`. `'       that a handshake of course makes a valid contract.”
  `-        --  J???rg Schilling
[dh_gsettings (application/x-perl, inline)]

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Fri, 01 Apr 2011 18:57:06 GMT) Full text and rfc822 format available.

Reply sent to Joey Hess <joeyh@debian.org>:
You have taken responsibility. (Tue, 05 Apr 2011 17:36:09 GMT) Full text and rfc822 format available.

Notification sent to Laurent Bigonville <bigon@debian.org>:
Bug acknowledged by developer. (Tue, 05 Apr 2011 17:36:09 GMT) Full text and rfc822 format available.

Message #34 received at 604727-close@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 604727-close@bugs.debian.org
Subject: Bug#604727: fixed in debhelper 8.1.3
Date: Tue, 05 Apr 2011 17:32:09 +0000
Source: debhelper
Source-Version: 8.1.3

We believe that the bug you reported is fixed in the latest version of
debhelper, which is due to be installed in the Debian FTP archive:

debhelper_8.1.3.dsc
  to main/d/debhelper/debhelper_8.1.3.dsc
debhelper_8.1.3.tar.gz
  to main/d/debhelper/debhelper_8.1.3.tar.gz
debhelper_8.1.3_all.deb
  to main/d/debhelper/debhelper_8.1.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604727@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Hess <joeyh@debian.org> (supplier of updated debhelper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 05 Apr 2011 13:09:43 -0400
Source: debhelper
Binary: debhelper
Architecture: source all
Version: 8.1.3
Distribution: unstable
Urgency: low
Maintainer: Joey Hess <joeyh@debian.org>
Changed-By: Joey Hess <joeyh@debian.org>
Description: 
 debhelper  - helper programs for debian/rules
Closes: 604727 615553 617761
Changes: 
 debhelper (8.1.3) unstable; urgency=low
 .
   [ Joey Hess ]
   * dh_auto_clean: Inhibit logging, so that, if dh_auto_clean is used
     in some rule other than clean, perhaps to clean up an intermediate
     build before a second build is run, debian/rules clean still runs it.
     Closes: #615553
   * Started work on Debhelper v9. It is still experimental, and more
     changes may be added to that mode.
   * Support multiarch in v9. Thanks, Steve Langasek. Closes: #617761
   * dh_auto_configure: Support multiarch in v9 by passing multiarch
     directories to --libdir and --libexecdir.
   * dh_makeshlibs: Detect packages using multiarch directories and
     make ${misc:Pre-Depends} expand to multiarch-support.
   * Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to backporters:
     If you remove that dependency, debhelper will fall back to not doing
     multiarch stuff in v9 mode, which is probably what you want.
   * Removed old example rules files.
   * dh_installgsettings: New command to handle gsettings schema files.
     Closes: #604727
 .
   [ Valery Perrin ]
   * update french translation.
   * Fix french misspelling.
Checksums-Sha1: 
 1671e763e5a814ce3285cc07c8d7ae0b4976013c 1568 debhelper_8.1.3.dsc
 5e8d12fb68e22c28863c30ebe4d8d452e0cf9da6 380118 debhelper_8.1.3.tar.gz
 eed62c9f18b866507f87f26d5cdfce75c84ead80 554204 debhelper_8.1.3_all.deb
Checksums-Sha256: 
 38165b1261c958eab192f52416c0d3aacb5495c003cf1c2268285fd1596fe917 1568 debhelper_8.1.3.dsc
 ce4a08a008faf4306fcc77f574c2ded1559bde58aa81d2bdc6c4abb90fd4ddec 380118 debhelper_8.1.3.tar.gz
 c891032b30715c85e12dd0dd3e25678ceaaed776ad4e8472f9db01d5c08f0be2 554204 debhelper_8.1.3_all.deb
Files: 
 62874e49423fc9c92401bcb00b8591be 1568 devel optional debhelper_8.1.3.dsc
 e869d8f1c38e374c8ebc54fcf7ca867e 380118 devel optional debhelper_8.1.3.tar.gz
 6f1cb3f7ae7a71fa4a8b02844bbde1e0 554204 devel optional debhelper_8.1.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTZtQjckQ2SIlEuPHAQh5EA/9FJNc253ljWweHPsPU9JQ3B56WGynpVWO
T+t3jic+F6oXZWp8R7+PwBHVeYrRuYMcelok3VJxvXilifDRvOqRgVf90RU+Wy5Y
4hlTtYf8UYKk+sBnW2tXoctC6o5WNNdkMun1UYUyqiRpgB63FTGHWFJA/qE0YjgR
uniRoWHasdhhKRwHC7qmWsS/a5pk1d1tOurZ4AW4/60VK4+nx52s/CZ/2/TIN0m1
NP8lLXUVX5Ibep0IlIlzEuz8gm9KyDvpfuJomcNmPEj4LGSNQ/97DYtoiZYeygF4
fLsLf2VxZLwBHj6lULp3ZX88cWh5nFoPKqR9x10lct/bfbWh6nd0jJG24FGXgG0Z
LmffiilNb37Hvn/lxfTbpOgbwq4/TbT3m08iA0F1FJGVAOAs3XsYrenxvcDCe8Z7
VCdUyVZ0Txlpm6T1Lzduhonyj7/1K6V09OV1x2TRVgdfheRn8Jhd3r3MFhdJr2RC
iLqHu6nTtXh3c4N79o+RHP5gSYlhhaFmdAuEAfYZhfW9gUweJR7+7EhYqGbVX03X
J8IsBYQjhSIpH/hFea0JLX5bp4OGEUUZ9PDNI+OS7gdpvc9S3xel0bRXaGDlhdtG
De+KmNWk5x0UUIIoU/piyPOKnBOqQPlT/GREH1f0eJPM5RrnNIBt0kCkzc7Vzk9a
YVwiB2tfgS4=
=xnmq
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 May 2011 07:35:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:00:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.